Package ru.bitel.bgbilling.modules.smarthouse.server.bean

# Class SmartHousePackageContractDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<SmartHousePackageContract>
ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHousePackageContract>
ru.bitel.bgbilling.modules.smarthouse.server.bean.SmartHousePackageContractDao

public class SmartHousePackageContractDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHousePackageContract>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHousePackageContractDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SmartHousePackageContract`
  `getFromRS(ResultSet rs)`
  `int[]`
  `getNavigationIds(int contractId, int packageContractId)`
  находим ID пакетов на договоре, возращается массив из трех ID: предыдущего ID, заданный ID, следующий ID если packageContractId==0 ищем по текущей дате, или активный сейчас или будет активен в будущем или последний активный и от него берем следущий и предыдущий
  `void`
  `searchContractPackages(SearchResult<SmartHousePackageContract> searchResult, int contractId)`
  `void`
  `update(SmartHousePackageContract contractPackage)`
  `protected void`
  `updateImpl(SmartHousePackageContract contractPackage)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartHousePackageContractDao

    public SmartHousePackageContractDao(Connection con, int moduleId)

- ## Method Details

  - ### searchContractPackages

    public void searchContractPackages(SearchResult<SmartHousePackageContract> searchResult, int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected SmartHousePackageContract getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHousePackageContract>`
    Throws:
      `SQLException`

  - ### update

    public void update(SmartHousePackageContract contractPackage) throws SQLException
    Overrides:
      `update` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHousePackageContract>`
    Throws:
      `SQLException`

  - ### getNavigationIds

    public int[] getNavigationIds(int contractId, int packageContractId) throws SQLException
    находим ID пакетов на договоре, возращается массив из трех ID: предыдущего ID, заданный ID, следующий ID если packageContractId==0 ищем по текущей дате, или активный сейчас или будет активен в будущем или последний активный и от него берем следущий и предыдущий
    Parameters:
      `contractId` -
      `packageContractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `SQLException`

  - ### updateImpl

    protected void updateImpl(SmartHousePackageContract contractPackage) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHousePackageContract>`
    Throws:
      `SQLException`